Bug 202328 - ORBit provided libIIOP causes "undefined symbol" complaints
Summary: ORBit provided libIIOP causes "undefined symbol" complaints
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ORBit   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-12 21:40 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 23:00:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2006-08-12 21:40:33 UTC
Description of problem:

After 'ldd -d -r libIIOP.so' there is 27 "undefined symbol" messages
where symbols ranger from g_malloc and g_free to g_log. It appears that
libglib is not linked.

Quoting
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202256#c1
"The libraries work, but less efficiently than they could if they
were linked properly".

Version-Release number of selected component (if applicable):
ORBit-0.5.17-18.fc6

Comment 1 Matthias Clasen 2006-08-23 20:00:51 UTC
ORBit is not longer shipped in FC 6

Comment 2 Michal Jaegermann 2006-08-27 18:02:19 UTC
> ORBit is not longer shipped in FC 6

Indeed it is not.  I got confused by bugzilla which had no problems
with such component.  But ORBit, and some programs requiring it,
are shipped in FC 6 Extras.  Reopening there.

Comment 3 Paul Howarth 2006-08-28 15:52:07 UTC
Should be fixed in 0.5.17-19.fc6

Please let me know if you're happy with the result when it's released (later
today probably).

Comment 4 Michal Jaegermann 2006-08-29 23:00:21 UTC
Where I can see it 'ldd -d -r ...' is happy. :-) Thanks!


Note You need to log in before you can comment on or make changes to this bug.